#ifndef SCORE_H
#define SCORE_H

#include "gfxinterface.h"
#include <string>


class Score {
	int score_;
	int shield_;
	int level_;
	Coord pos_;
	XFontStruct * font_;
	XColor color_;
	std::string old_text_;
public:
	Score();
	~Score();
	void Add(int i) { score_ += i; }
	void IncLevel() { ++level_; }
	void SetShield(int i) { shield_ = i; }
	void ReInit()  { score_ = 0; level_ = 1; }
	void Refresh() { Erase(); Draw(); }
	int  Level()  const { return level_; }
	void ShowLevel() const { DrawLevel(color_.pixel); }
	void EraseLevel() const	{ DrawLevel(X11::Inst().GetBlack()); }
	int  Height() const { return font_->descent + font_->ascent; }
private:
	void Draw();
	void DrawLevel(X11::Color) const;
	void Erase() const;
	int PosY() const;
};


#endif
